Browser is not support

Apple / 10.3.9
March 24, 2010 at 11:58:52
Specs: Flat Panel Mac OS X 10.3.9
I have a Flat Panel desktop OS X 10.3.9 that I got from a friend. A Comcast rep. had to come a few times to install a few different cable modems--finally have a good one. I was getting booted out of Safari. Now Safari is working, but now websites are telling me that my browser is not supported -- I know I need to upgrade my software. I read on Apple's website & found out that I need 512MB of RAM to upgrade to 10.4 -- I only have 256MB. I have to purchase more RAM right? where's the best place to do this, just Best Buy or something? I'm not savvy at this sort of thing :)

See More: Browser is not support

Report •

#1
March 26, 2010 at 09:46:45
I have no idea how you're even getting by with 256mb's of RAM on 10.3.9. Upgrade to at least 1GB, Unix is a bloated operating system.

Here is Firefox 2.0.0.20 for 10.3.9
http://www.pure-mac.com/downloads/f...

Here is Opera 9 for 10.3.9
http://www.pure-mac.com/downloads/o...

Even thou Firefox 2.0 is around two years old, and 10.3.9 is only around 4 years old, the industry just doesn't support them anymore. It is a very sad time in the computer industry.

PowerMac 9600(1 ghz G4)
512mb RAM
50gb SCSI
ATi 9200 PCI


Report •

#2
March 26, 2010 at 16:38:23
Thank you, I've completed both downloads. I'll get
something newer soon but this will get me by for a bit.
Thanks again!

Report •
Related Solutions


Ask Question